#!/usr/bin/env bash
if [[ "${1}" == "-u" ]]; then
    echo "Uninstalling cast"
    sudo rm /usr/local/bin/cast /usr/share/applications/cast.desktop
    echo "If you wish you can now manually remove the dependencies"
    exit 0
elif [[ "${1}" == "-h" ]]; then
    echo "Usage: $0 [-u|-h]
    -h   show this message
    -u   uninstall cast"
    exit 0
fi

sudo apt install python3-pip \
                 python3-bs4 \
                 gir1.2-gstreamer-1.0 \
                 gstreamer1.0-alsa \
                 gstreamer1.0-clutter-3.0 \
                 gstreamer1.0-gl \
                 gstreamer1.0-gtk3 \
                 gstreamer1.0-libav \
                 gstreamer1.0-nice \
                 gstreamer1.0-packagekit \
                 gstreamer1.0-pipewire \
                 gstreamer1.0-plugins-bad \
                 gstreamer1.0-plugins-base \
                 gstreamer1.0-plugins-base-apps \
                 gstreamer1.0-plugins-good \
                 gstreamer1.0-plugins-rtp \
                 gstreamer1.0-plugins-ugly \
                 gstreamer1.0-pulseaudio \
                 gstreamer1.0-tools \
                 gstreamer1.0-x \
                 libgstreamer-gl1.0-0 \
                 libgstreamer-plugins-bad1.0-0 \
                 libgstreamer-plugins-base1.0-0 \
                 libgstreamer1.0-0 \
                 python3-wxgtk-media4.0 \
                 python3-wxgtk4.0 \
                 python3-feedparser \
                 youtube-dl
sudo pip3 install pychromecast
sudo cp src/main.py /usr/local/bin/cast
sudo chmod +x /usr/local/bin/cast
sudo cp -a src/{Channel,ChannelProvider,Items,Utils} /usr/lib/python3/dist-packages/
sudo cp -a src/{Channel,ChannelProvider,Items,Utils} /usr/lib/python3.9/
sudo cp -a src/{Channel,ChannelProvider,Items,Utils} /usr/lib/python3.10/
sudo cp src/cast.desktop /usr/share/applications/
exit 0
